<?php

class Horeca_Customizer_Control_Repeater extends Horeca_Customizer_Control_Base {
	static function field_template() {
		?>
		<script type="text/html" id="tmpl-field-horeca-repeater">
			<?php
			self::before_field();
			?>
			<?php echo self::field_header(); ?>
			<div class="horeca-field-settings-inner">
			</div>
			<?php
			self::after_field();
			?>
		</script>
		<script type="text/html" id="tmpl-customize-control-repeater-item">
			<div class="horeca--repeater-item">
				<div class="horeca--repeater-item-heading">
					<label class="horeca--repeater-visible" title="<?php esc_attr_e( 'Toggle item visible', 'horeca' ); ?>">
						<input type="checkbox" class="r-visible-input">
						<span class="r-visible-icon"></span>
						<span class="screen-reader-text"><?php _e( 'Show', 'horeca' ); ?></label>
					<span class="horeca--repeater-live-title"></span>
					<div class="horeca-nav-reorder">
						<span class="horeca--down" tabindex="-1">
							<span class="screen-reader-text"><?php _e( 'Move Down', 'horeca' ); ?></span></span>
						<span class="horeca--up" tabindex="0">
							<span class="screen-reader-text"><?php _e( 'Move Up', 'horeca' ); ?></span>
						</span>
					</div>
					<a href="#" class="horeca--repeater-item-toggle">
						<span class="screen-reader-text"><?php _e( 'Close', 'horeca' ); ?></span></a>
				</div>
				<div class="horeca--repeater-item-settings">
					<div class="horeca--repeater-item-inside">
						<div class="horeca--repeater-item-inner"></div>
						<# if ( data.addable ){ #>
						<a href="#" class="horeca--remove"><?php _e( 'Remove', 'horeca' ); ?></a>
						<# } #>
					</div>
				</div>
			</div>
		</script>
		<script type="text/html" id="tmpl-customize-control-repeater-inner">
			<div class="horeca--repeater-inner">
				<div class="horeca--settings-fields horeca--repeater-items"></div>
				<div class="horeca--repeater-actions">
				<a href="#" class="horeca--repeater-reorder"
				data-text="<?php esc_attr_e( 'Reorder', 'horeca' ); ?>"
				data-done="<?php _e( 'Done', 'horeca' ); ?>"><?php _e( 'Reorder', 'horeca' ); ?></a>
					<# if ( data.addable ){ #>
					<button type="button"
							class="button horeca--repeater-add-new"><?php _e( 'Add an item', 'horeca' ); ?></button>
					<# } #>
				</div>
			</div>
		</script>
		<?php
	}
}
